# Boot Once Inc. - All Rights reserved
# Get-AppxPackage - lists all the packages or programs installed

Write-Host "B1 - Bloatware and Software Removal"

# Remove Disney
Get-AppxPackage -allusers *disney* | Remove-AppxPackage

# Remove Spotify 
Get-AppxPackage -allusers *SpotifyMusic* | Remove-AppxPackage

# Remove All of XBOX stuff 
Get-AppxPackage *XboxIdentityProvider* | Remove-AppxPackage
Get-AppxPackage -allusers *XboxGamingOverlay* | Remove-AppxPackage
Get-AppxPackage -allusers *XboxSpeechToTextOverlay* | Remove-AppxPackage
Get-AppxPackage -allusers *XboxGameOverlay* | Remove-AppxPackage
Get-AppxPackage -allusers *Xbox.TCUI* | Remove-AppxPackage
Get-AppxPackage -allusers *XboxApp* | Remove-AppxPackage

#can't remove this one as it is part of windows
#Get-AppxPackage -allusers *XboxGameCallableUI* | Remove-AppxPackage

# Remove Office Hub
Get-AppxPackage -allusers *MicrosoftOfficeHub* | Remove-AppxPackage

# Remove One Note
Get-AppxPackage -allusers *OneNote* | Remove-AppxPackage

# Remove Your Phone
Get-AppxPackage -allusers *YourPhone* | Remove-AppxPackage

# Remove Solitaire
Get-AppxPackage -allusers *MicrosoftSolitaireCollection* | Remove-AppxPackage

# Remove Get Started
Get-AppxPackage -allusers *Getstarted* | Remove-AppxPackage

# Remove Skype
Get-AppxPackage -allusers *SkypeApp* | Remove-AppxPackage

# Remove Zune Music (this still exists?)
Get-AppxPackage -allusers *ZuneMusic* | Remove-AppxPackage
Get-AppxPackage -allusers *ZuneVideo* | Remove-AppxPackage

# Remove Desktop App Installer
Get-AppxPackage -allusers *DesktopAppInstaller* | Remove-AppxPackage

# Remove Get Help - Ragnarok anyone . . . LOL
Get-AppxPackage -allusers *GetHelp* | Remove-AppxPackage

# Remove Mixed Reality
Get-AppxPackage -allusers *MixedReality* | Remove-AppxPackage

# Remove Bing Weather
Get-AppxPackage -allusers *BingWeather* | Remove-AppxPackage

# Remove Microsoft 3D Viewer
Get-AppxPackage -allusers *Microsoft3DViewer* | Remove-AppxPackage

# Remove Windows Feedback Hub 
Get-AppxPackage -allusers *WindowsFeedbackHub* | Remove-AppxPackage

# Remove Windows Maps
Get-AppxPackage -allusers *WindowsMaps* | Remove-AppxPackage

# Remove Microsoft Advertising to allow for advertisements in apps
Get-AppxPackage -allusers *Microsoft.Advertising.Xaml* | Remove-AppxPackage

# Remove Microsoft Advertising adding delivery manager to deliver ads to your computer
# can't remove due to microsoft protection but wish we could you could block in your firewall
#Get-AppxPackage -allusers *Microsoft.Windows.ContentDeliveryManager* | Remove-AppxPackage

# Remove Cortana
Get-AppxPackage -allusers *Microsoft.549981C3F5F10* | Remove-AppxPackage

# Remove Paint 3D
Get-AppxPackage -allusers *Microsoft.MSPaint* | Remove-AppxPackage

# Remove Mail and Calendar
Get-AppxPackage -allusers *Microsoft.windowscommunicationsapps* | Remove-AppxPackage

# Remove Microsoft Money
Get-AppxPackage -allusers *bingfinance* | Remove-AppxPackage

# Remove PAID WiFi (cell service crap)
Get-AppxPackage -allusers *oneconnect* | Remove-AppxPackage

# Remove Windows Phone
Get-AppxPackage -allusers *windowsphone* | Remove-AppxPackage

# Remove People (this is a specific entry)
Get-AppxPackage -allusers people | Remove-AppxPackage

# Remove One Drive
Get-AppxPackage -allusers *OneDriveSync* | Remove-AppxPackage

# Third Party Programs
# Candy Crush
Get-AppxPackage -allusers king.com.CandyCrush* | Remove-AppxPackage

# Dell junk
Get-AppxPackage -allusers *Dell* | Remove-AppxPackage

# drop Box
Get-AppxPackage -allusers *Dropbox* | Remove-AppxPackage

# Facebook 
Get-AppxPackage -allusers *Facebook* | Remove-AppxPackage

# Keeper 
Get-AppxPackage -allusers *Keeper* | Remove-AppxPackage

# Game March of Empires
Get-AppxPackage -allusers *MarchofEmpires* | Remove-AppxPackage

# all of mcafee
Get-AppxPackage -allusers *McAfee* | Remove-AppxPackage

# twitter
Get-AppxPackage -allusers *Twitter* | Remove-AppxPackage

# mine craft
Get-AppxPackage -allusers *Minecraft* | Remove-AppxPackage

# plex server 
Get-AppxPackage -allusers *Plex* | Remove-AppxPackage

# Netflix
Get-AppxPackage -allusers *Netflix* | Remove-AppxPackage

# TikTok
Get-AppxPackage -allusers *tiktok* | Remove-AppxPackage

# Prime video
Get-AppxPackage -allusers *Prime* | Remove-AppxPackage

# Photo Shop Express
Get-AppxPackage -allusers *PhotoshopExpress* | Remove-AppxPackage

# Uninstall McAfee Security App
$mcafee = gci "HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall" | foreach { gp $_.PSPath } | ? { $_ -match "McAfee Security" } | select UninstallString
if ($mcafee) {
	$mcafee = $mcafee.UninstallString -Replace "C:\Program Files\McAfee\MSC\mcuihost.exe",""
	Write "Uninstalling McAfee..."
	start-process "C:\Program Files\McAfee\MSC\mcuihost.exe" -arg "$mcafee" -Wait
}

# WiFi Sense - HotSpot Sharing: Disable
If (-Not (Test-Path "HKLM:\Software\Microsoft\PolicyManager\default\WiFi\AllowWiFiHotSpotReporting")) {
    New-Item -Path HKLM:\Software\Microsoft\PolicyManager\default\WiFi\AllowWiFiHotSpotReporting | Out-Null
}
Set-ItemProperty -Path HKLM:\Software\Microsoft\PolicyManager\default\WiFi\AllowWiFiHotSpotReporting -Name value -Type DWord -Value 0

# WiFi Sense - Shared HotSpot Auto-Connect: Disable
Set-ItemProperty -Path HKLM:\Software\Microsoft\PolicyManager\default\WiFi\AllowAutoConnectToWiFiSenseHotspots -Name value -Type DWord -Value 0

# Start Menu - Disable Bing Search Results
Set-ItemProperty -Path HKCU:\SOFTWARE\Microsoft\Windows\CurrentVersion\Search -Name BingSearchEnabled -Type DWord -Value 0

# Disable Telemetry (diagtrack disable but not removed)
Set-ItemProperty -Path HKLM:\SOFTWARE\Policies\Microsoft\Windows\DataCollection -Name AllowTelemetry -Type DWord -Value 0
Get-Service DiagTrack,Dmwappushservice | Stop-Service | Set-Service -StartupType Disabled
sc.exe stop diagtrack
sc.exe delete diagtrack
Write-Host = "Reboot to disable telemetry"

# Change some User Interface Experiences

# Change File Explorer to "This PC" for default 
Set-ItemProperty -Path HKCU:\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\Advanced -Name LaunchTo -Type DWord -Value 1

Write-Host "Complete! Please read the output you might need to restart to disable telemetry"
